Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.common.Progressive Class Reference
Inheritance diagram for com.foxit.sdk.common.Progressive:

## Public Member Functions
| Progressive (Progressive other) throws com.foxit.sdk.PDFException
| Constructor, with another progressive object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getRateOfProgress () throws com.foxit.sdk.PDFException
| Get the rate of current progress. More...
int | resume () throws com.foxit.sdk.PDFException
| Continue the progressive process. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_Error = 0
| Progress state: any error occurs.
static final int | e_Finished = 2
| Progress state: progress is finished.
static final int | e_ToBeContinued = 1
| Progress state: progress needs to be continued.

## Detailed Description

This class represents a progressive object, which is used for progressive process as converting PDF document to Office document.

## Constructor & Destructor Documentation

## ◆ Progressive()

com.foxit.sdk.common.Progressive.Progressive | ( | Progressive | other | ) | throws com.foxit.sdk.PDFException

Constructor, with another progressive object.

Parameters

  [in] | other | Another progressive object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.common.Progressive.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getRateOfProgress()

int com.foxit.sdk.common.Progressive.getRateOfProgress | ( |  | ) | throws com.foxit.sdk.PDFException

Get the rate of current progress.

Returns
  An integer between 0 and 100 (inclusive), indicating the rate of current progress. -1 means error.

## ◆ resume()

int com.foxit.sdk.common.Progressive.resume | ( |  | ) | throws com.foxit.sdk.PDFException

Continue the progressive process.

Returns
  com.foxit.sdk.common.Progressive.e_Finished means current process is finished successfully.
  com.foxit.sdk.common.Progressive.e_ToBeContinued means current process is suspended, and this function needs to be called again to continue the process.
  com.foxit.sdk.common.Progressive.e_Error means any error occurs.